Package org.apache.commons.compress.harmony.unpack200.bytecode.forms

# Class MethodRefForm

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.MethodRefForm

public class MethodRefForm extends ReferenceForm
This class implements the byte code form for those bytecodes which have regular method references (and only regular method references). These are: invokevirtual invokespecial invokestatic Class-specific references to methods are subclasses of ClassSpecificReferenceForm instead.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `byteCodeArray, byteCodesByName, WIDENED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodRefForm(int opcode, String name, int[] rewrite)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getOffset(OperandManager operandManager)`
  `protected int`
  `getPoolID()`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm

  `setByteCodeOperands, setNestedEntries`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `calculateOperandPosition, firstOperandIndex, fixUpByteCodeTargets, get, getName, getOpcode, getRewrite, getRewriteCopy, hasMultipleByteCodes, hasNoOperand, nestedMustStartClassPool, operandLength, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MethodRefForm

    public MethodRefForm(int opcode, String name, int[] rewrite)

- ## Method Details

  - ### getOffset

    protected int getOffset(OperandManager operandManager)
    Specified by:
      `getOffset` in class `ReferenceForm`

  - ### getPoolID

    protected int getPoolID()
    Specified by:
      `getPoolID` in class `ReferenceForm`